tt=1:length(pie_eps_A);

figure
subplot(321)
plot(tt,400*(pie_eps_A(tt)+pie_SS-1),'k*-')
ylabel('percent')
title('net inflation (APR)')
axis tight
subplot(322)
plot(tt,100*h_eps_A(tt)/h_SS,'k*-')
ylabel('percent of steady state')
title('hours worked')
axis tight
subplot(323)
plot(tt,400*(R_eps_A(tt)+R_SS),'k*-')
title('net nominal rate of interest (APR)')
ylabel('percent')
axis tight
subplot(324)
plot(tt,100*C_eps_A(tt)/C_SS,'k*-')
title('consumption')
ylabel('percent of steady state')
axis tight
subplot(325)
plot(tt,100*A_eps_A(tt),'k*-')
ylabel('percent of steady state')
title('technology')
axis tight


subplot(326)
t1=1:tt(end)-1;
t2=2:tt(end);

if ip == 0
    plot(t1,400*(R_eps_A(t1)+R_SS-(pie_eps_A(t2)+pie_SS-1)),'k*-')
    title('net real rate of interest (APR)')
elseif ip == 1
    plot(t1,400*(R_eps_A(t1)+R_SS-(pie_eps_A(t2)+pie_SS-1)),'k*-',t1,400*(Rnat_eps_A(t1)+Rnat_SS))
    legend('equilibrium real rate','natural rate')
end
title('real rate of interest (APR)')
ylabel('percent')
axis tight

pie_exog=pie_eps_A;
h_exog=h_eps_A;
R_exog=R_eps_A;
C_exog=C_eps_A;
A_exog=A_eps_A;
Rnat_exog=Rnat_eps_A;
pie_exog_SS=pie_SS;
h_exog_SS=h_SS;
R_exog_SS=R_SS;
C_exog_SS=C_SS;
A_exog_SS=1;
beta_exog=beta;
epsil_exog=epsil;
phi_exog=phi;
rho_exog=rho;
alpha_exog=alpha;
nbeta_exog=nbeta;
nu_exog=nu;
chi_exog=chi;
pietarget_exog=pietarget;

save exog pie_exog h_exog R_exog C_exog A_exog Rnat_exog pie_exog_SS h_exog_SS R_exog_SS C_exog_SS A_exog_SS ...
     beta_exog epsil_exog phi_exog rho_exog alpha_exog nbeta_exog nu_exog chi_exog pietarget_exog;
