load exog pie_exog h_exog R_exog C_exog A_exog Rnat_exog pie_exog_SS h_exog_SS R_exog_SS C_exog_SS A_exog_SS ...
     beta_exog epsil_exog phi_exog rho_exog alpha_exog nbeta_exog nu_exog chi_exog pietarget_exog;

ip=0;
if beta_exog ~= beta|epsil_exog~=epsil|phi_exog~=phi|rho_exog~=rho|alpha_exog~=alpha|nbeta_exog~=nbeta|nu_exog~=nu|chi_exog~=chi|pietarget_exog~=pietarget;
   disp('note (plotQ2) parameters different from the ones used in computing the equilibrium')
   ip=1;
end
tt=1:length(pie_eps_A);

figure
subplot(321)
if ip == 0
    plot(tt,400*(pie_eps_A(tt)+pie_SS-1),'k*-',tt,400*(pie_exog(tt)+pie_SS-1))
    legend('Ramsey','equilibrium')
else
    plot(tt,400*(pie_eps_A(tt)+pie_SS-1),'k*-')
end
ylabel('percent')
title('net inflation (APR)')
axis tight
subplot(322)
if ip == 0
    plot(tt,100*h_eps_A(tt)/h_SS,'k*-',tt,100*h_exog(tt)/h_exog_SS)
else
    plot(tt,100*h_eps_A(tt)/h_SS,'k*-')
end
ylabel('percent of steady state')
title('hours worked')
axis tight
subplot(323)
if ip == 0
    plot(tt,400*(R_eps_A(tt)+R_SS),'k*-',tt,400*(R_exog(tt)+R_exog_SS))
else
    plot(tt,400*(R_eps_A(tt)+R_SS),'k*-')
end
title('net nominal rate of interest (APR)')
ylabel('percent')
axis tight
subplot(324)
if ip == 0
    plot(tt,100*C_eps_A(tt)/C_SS,'k*-',tt,100*C_exog(tt)/C_exog_SS)
else
    plot(tt,100*C_eps_A(tt)/C_SS,'k*-')
end
title('consumption')
ylabel('percent of steady state')
axis tight
subplot(325)
if ip == 0
    plot(tt,100*A_eps_A(tt),'k*-',tt,100*A_exog(tt))
else
    plot(tt,100*A_eps_A(tt),'k*-')
end
title('technology')
axis tight
subplot(326)
tt1=2:tt(end);
tt2=1:tt(end)-1;
if ip == 0
    plot(tt,400*(R_eps_A(tt)+R_SS),'k*-',tt2,400*(R_exog(tt2)+R_exog_SS)-400*(pie_exog(tt1)+pie_SS-1),tt,400*(Rnat_exog(tt)+R_SS),'ko-')
    legend('Ramsey','Equilibrium','Natural')
else
    plot(tt,400*(R_eps_A(tt)+R_SS),'k*-')
end
title('Real interest rate')
axis tight